Subject: Re: [Pce] Regd draft-avantika-pce-multi-src-dest

From: Udayasree palle <[email-masked]>
Date: Tue, 11 Feb 2014 11:45:34 +0000

Hi,

Dorian asked a question about how much benefit do we get from draft-avantika-pce-multi-src-dest. 
I am CCing WG as well (hope that's okay!).

Considering an example of path request where 4 requests need to be encoded (from 2 sources to 2 destinations with the exact same constraints).

This figure illustrates the existing mechanism of carrying multiple requests in single PCReq message (as per RFC 5440):

          +--------------+ +--------------+ +--------------+ +--------------+
          |RP            | |RP            | |RP            | |RP            |
+-------+ |END-POINTS(8) | |END-POINTS    | |END-POINTS    | |END-POINTS    |
|COMMON |+|BANDWIDTH     |+|BANDWIDTH     |+|BANDWIDTH     |+|BANDWIDTH     |=148 Bytes
|HEADER | |METRIC        | |METRIC        | |METRIC        | |METRIC        |
+-------+ |METRIC        | |METRIC        | |METRIC        | |METRIC        |   
          +--------------+ +--------------+ +--------------+ +--------------+
4 Bytes     36 Bytes         36 Bytes         36 Bytes         36 Bytes    
                                                                                      
Combining multiple requests into a single request by using MP2MP END-POINTS object:

          +--------------+
          |RP            |
+-------+ |END-POINTS(20)|
|COMMON |+|BANDWIDTH     | = 54 Bytes
|HEADER | |METRIC        |
+-------+ |METRIC        |
          +--------------+
4 Bytes     48 Bytes            

There is message size reduction of 64% in this illustration. 

Thus we feel that this simple extension to PCEP END-POINTS object can be useful. 

Regards,
Udaya

---------
From: Dorian Davis [mailto:[email-masked]] 
Sent: 11 February 2014 13:47
To: [email-masked]
Subject: Regd draft-avantika-pce-multi-src-dest

Hi Authors, 

I read your document but I wonder how much benefit are you getting from this?

D
------------------
Dorian Davis
[email-masked]